- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Enumerations | Functions
Thumbnail

## Macros
#define | elm_obj_thumb_reload() ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_RELOAD)
#define | elm_obj_thumb_file_set(file, key) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FILE_SET), EO_TYPECHECK(const char *, file), EO_TYPECHECK(const char *, key)
#define | elm_obj_thumb_file_get(file, key) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FILE_GET), EO_TYPECHECK(const char **, file), EO_TYPECHECK(const char **, key)
#define | elm_obj_thumb_path_get(file, key) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_PATH_GET), EO_TYPECHECK(const char **, file), EO_TYPECHECK(const char **, key)
#define | elm_obj_thumb_aspect_set(aspect) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ASPECT_SET), EO_TYPECHECK(Ethumb_Thumb_Aspect, aspect)
#define | elm_obj_thumb_aspect_get(ret) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ASPECT_GET), EO_TYPECHECK(Ethumb_Thumb_Aspect *, ret)
#define | elm_obj_thumb_fdo_size_set(size) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FDO_SIZE_SET), EO_TYPECHECK(Ethumb_Thumb_FDO_Size, size)
#define | elm_obj_thumb_fdo_size_get(ret) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FDO_SIZE_GET), EO_TYPECHECK(Ethumb_Thumb_FDO_Size *, ret)
#define | elm_obj_thumb_format_set(format) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FORMAT_SET), EO_TYPECHECK(Ethumb_Thumb_Format, format)
#define | elm_obj_thumb_format_get(ret) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FORMAT_GET), EO_TYPECHECK(Ethumb_Thumb_Format *, ret)
#define | elm_obj_thumb_orientation_set(orient) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ORIENTATION_SET), EO_TYPECHECK(Ethumb_Thumb_Orientation, orient)
#define | elm_obj_thumb_orientation_get(ret) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ORIENTATION_GET), EO_TYPECHECK(Ethumb_Thumb_Orientation *, ret)
#define | elm_obj_thumb_size_set(tw, th) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_SIZE_SET), EO_TYPECHECK(int, tw), EO_TYPECHECK(int, th)
#define | elm_obj_thumb_size_get(tw, th) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_SIZE_GET), EO_TYPECHECK(int *, tw), EO_TYPECHECK(int *, th)
#define | elm_obj_thumb_crop_align_set(cropx, cropy) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_CROP_ALIGN_SET), EO_TYPECHECK(double, cropx), EO_TYPECHECK(double, cropy)
#define | elm_obj_thumb_crop_align_get(cropx, cropy) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_CROP_ALIGN_GET), EO_TYPECHECK(double *, cropx), EO_TYPECHECK(double *, cropy)
#define | elm_obj_thumb_compress_set(compress) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_COMPRESS_SET), EO_TYPECHECK(int, compress)
#define | elm_obj_thumb_compress_get(compress) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_COMPRESS_GET), EO_TYPECHECK(int *, compress)
#define | elm_obj_thumb_quality_set(quality) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_QUALITY_SET), EO_TYPECHECK(int, quality)
#define | elm_obj_thumb_quality_get(quality) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_QUALITY_GET), EO_TYPECHECK(int *, quality)
#define | elm_obj_thumb_animate_set(setting) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ANIMATE_SET), EO_TYPECHECK(Elm_Thumb_Animation_Setting, setting)
#define | elm_obj_thumb_animate_get(ret) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ANIMATE_GET), EO_TYPECHECK(Elm_Thumb_Animation_Setting *, ret)
#define | elm_obj_thumb_editable_set(edit, ret) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_EDITABLE_SET), EO_TYPECHECK(Eina_Bool, edit), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_thumb_editable_get(ret) ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_EDITABLE_GET), EO_TYPECHECK(Eina_Bool *, ret)

## Enumerations
enum | Elm_Thumb_Animation_Setting { ELM_THUMB_ANIMATION_START = 0, ELM_THUMB_ANIMATION_LOOP, ELM_THUMB_ANIMATION_STOP }
| Used to set if a video thumbnail is animating or not.

## Functions
Eina_Bool | elm_need_ethumb (void)
| Request that your elementary application needs ethumb. More...
void * | elm_thumb_ethumb_client_get (void)
| Get the ethumb_client handle so custom configuration can be made. More...
Evas_Object * | elm_thumb_add (Evas_Object *parent)
| Add a new thumb object to the parent. More...
void | elm_thumb_reload (Evas_Object *obj)
| Reload thumbnail if it was generated before. More...
void | elm_thumb_file_set (Evas_Object *obj, const char *file, const char *key)
| Set the file that will be used as thumbnail source. More...
void | elm_thumb_file_get (const Evas_Object *obj, const char **file, const char **key)
| Get the image or video path and key used to generate the thumbnail. More...
void | elm_thumb_path_get (const Evas_Object *obj, const char **file, const char **key)
| Get the path and key to the image or video thumbnail generated by ethumb. More...
void | elm_thumb_aspect_set (Evas_Object *obj, Ethumb_Thumb_Aspect aspect)
| Set the aspect for the thumb object. More...
Ethumb_Thumb_Aspect | elm_thumb_aspect_get (const Evas_Object *obj)
| Get the aspect of the thumb object. More...
void | elm_thumb_fdo_size_set (Evas_Object *obj, Ethumb_Thumb_FDO_Size size)
| Set the FDO size for the thumb object. More...
Ethumb_Thumb_FDO_Size | elm_thumb_fdo_size_get (const Evas_Object *obj)
| Get the fdo size of the thumb object. More...
void | elm_thumb_format_set (Evas_Object *obj, Ethumb_Thumb_Format format)
| Set the format for the thumb object. More...
Ethumb_Thumb_Format | elm_thumb_format_get (const Evas_Object *obj)
| Get the format of the thumb object. More...
void | elm_thumb_orientation_set (Evas_Object *obj, Ethumb_Thumb_Orientation orient)
| Set the orientation for the thumb object. More...
Ethumb_Thumb_Orientation | elm_thumb_orientation_get (const Evas_Object *obj)
| Get the orientation of the thumb object. More...
void | elm_thumb_size_set (Evas_Object *obj, int tw, int th)
| Set the size for the thumb object. More...
void | elm_thumb_size_get (const Evas_Object *obj, int *tw, int *th)
| Get the size of the thumb object. More...
void | elm_thumb_crop_align_set (Evas_Object *obj, double cropx, double cropy)
| Set the crop alignment for the thumb object. More...
void | elm_thumb_crop_align_get (const Evas_Object *obj, double *cropx, double *cropy)
| Get the crop alignment of the thumb object. More...
void | elm_thumb_compress_set (Evas_Object *obj, int compress)
| Set the compression for the thumb object. More...
void | elm_thumb_compress_get (const Evas_Object *obj, int *compress)
| Get the compression of the thumb object. More...
void | elm_thumb_quality_set (Evas_Object *obj, int quality)
| Set the quality for the thumb object. More...
void | elm_thumb_quality_get (const Evas_Object *obj, int *quality)
| Get the quality of the thumb object. More...
void | elm_thumb_animate_set (Evas_Object *obj, Elm_Thumb_Animation_Setting s)
| Set the animation state for the thumb object. More...
Elm_Thumb_Animation_Setting | elm_thumb_animate_get (const Evas_Object *obj)
| Get the animation state for the thumb object. More...
Eina_Bool | elm_thumb_editable_set (Evas_Object *obj, Eina_Bool edit)
| Make the thumbnail 'editable'. More...
Eina_Bool | elm_thumb_editable_get (const Evas_Object *obj)
| Make the thumbnail 'editable'. More...

## Detailed Description

A thumbnail object is used for displaying the thumbnail of an image or video. You must have compiled Elementary with `Ethumb_Client` support. Also, Ethumb's DBus service must be present and auto-activated in order to have thumbnails generated. You must also have a session bus, not a system one.

Once the thumbnail object becomes visible, it will check if there is a previously generated thumbnail image for the file set on it. If not, it will start generating this thumbnail.

Different configuration settings will cause different thumbnails to be generated even on the same file.

Generated thumbnails are stored under `$HOME/`.thumbnails/. Check Ethumb's documentation to change this path, and to see other configuration options.

If you set formatting features such as, aspect, size, format, orientation, crop, compression, or quality after the thumbnail has been shown, it needs to be reloaded with elm_thumb_reload.

This widget emits the following signals:

- `"clicked"` - This is called when a user has clicked the thumbnail object without dragging it around.
- `"clicked,double"` - This is called when a user has double-clicked the thumbnail object.
- `"press"` - This is called when a user has pressed down over the thumbnail object.
- `"generate,start"` - The thumbnail generation has started.
- `"generate,stop"` - The generation process has stopped.
- `"generate,error"` - The thumbnail generation failed.
- `"load,error"` - The thumbnail image loading failed.

Available styles:

- `"default"`
- `"noframe"`

An example of use of thumbnail:

- Thumb - generating thumbnails.

## Macro Definition Documentation

#define elm_obj_thumb_animate_get | ( |  | ret | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ANIMATE_GET), EO_TYPECHECK(Elm_Thumb_Animation_Setting *, ret)

Since
  1.8

Get the animation state for the thumb object.

Parameters

  [out] | ret |

See Also
  elm_thumb_animate_get

Referenced by elm_thumb_animate_get().

#define elm_obj_thumb_animate_set | ( |  | setting | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ANIMATE_SET), EO_TYPECHECK(Elm_Thumb_Animation_Setting, setting)

Since
  1.8

Set the animation state for the thumb object. If its content is an animated

Parameters

  [in] | setting |

See Also
  elm_thumb_animate_set

Referenced by elm_thumb_animate_set().

#define elm_obj_thumb_aspect_get | ( |  | ret | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ASPECT_GET), EO_TYPECHECK(Ethumb_Thumb_Aspect *, ret)

Since
  1.8

Get the aspect of the thumb object

Parameters

  [out] | ret |

See Also
  elm_thumb_aspect_get

Referenced by elm_thumb_aspect_get().

#define elm_obj_thumb_aspect_set | ( |  | aspect | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ASPECT_SET), EO_TYPECHECK(Ethumb_Thumb_Aspect, aspect)

Since
  1.8

Set the aspect for the thumb object

Parameters

  [in] | setting |

See Also
  elm_thumb_aspect_set

Referenced by elm_thumb_aspect_set().

#define elm_obj_thumb_compress_get | ( |  | compress | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_COMPRESS_GET), EO_TYPECHECK(int *, compress)

Since
  1.8

Get the compression of the thumbnail.

Parameters

  [out] | compress |

See Also
  elm_thumb_compress_get

Referenced by elm_thumb_compress_get().

#define elm_obj_thumb_compress_set | ( |  | compress | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_COMPRESS_SET), EO_TYPECHECK(int, compress)

Since
  1.8

Set the compression of the thumbnail

Parameters

  [in] | compress |

See Also
  elm_thumb_compress_set

Referenced by elm_thumb_compress_set().

#define elm_obj_thumb_crop_align_get | ( |  | cropx,
|  |  | cropy
| ) |  | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_CROP_ALIGN_GET), EO_TYPECHECK(double *, cropx), EO_TYPECHECK(double *, cropy)

Since
  1.8

Get the crop alignment of the thumbnail.

Parameters

  [out] | cropx |
  [out] | cropy |

See Also
  elm_thumb_crop_align_get

Referenced by elm_thumb_crop_align_get().

#define elm_obj_thumb_crop_align_set | ( |  | cropx,
|  |  | cropy
| ) |  | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_CROP_ALIGN_SET), EO_TYPECHECK(double, cropx), EO_TYPECHECK(double, cropy)

Since
  1.8

Set the crop alignment of the thumbnail

Parameters

  [in] | x | coordinate
  [in] | y | coordinate

See Also
  elm_thumb_crop_align_set

Referenced by elm_thumb_crop_align_set().

#define elm_obj_thumb_editable_get | ( |  | ret | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_EDITABLE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Make the thumbnail 'editable'.

Parameters

  [out] | ret |

See Also
  elm_thumb_editable_get

Referenced by elm_thumb_editable_get().

#define elm_obj_thumb_editable_set | ( |  | edit,
|  |  | ret
| ) |  | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_EDITABLE_SET), EO_TYPECHECK(Eina_Bool, edit), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Make the thumbnail 'editable'.

Parameters

  [in] | edit |
  [out] | ret |

See Also
  elm_thumb_editable_set

Referenced by elm_thumb_editable_set().

#define elm_obj_thumb_fdo_size_get | ( |  | ret | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FDO_SIZE_GET), EO_TYPECHECK(Ethumb_Thumb_FDO_Size *, ret)

Since
  1.8

Get the fdo size of the thumb object

Parameters

  [out] | ret |

See Also
  elm_thumb_fdo_size_get

Referenced by elm_thumb_fdo_size_get().

#define elm_obj_thumb_fdo_size_set | ( |  | size | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FDO_SIZE_SET), EO_TYPECHECK(Ethumb_Thumb_FDO_Size, size)

Since
  1.8

Set the fdo size for the thumb object

Parameters

  [in] | setting |

See Also
  elm_thumb_fdo_size_set

Referenced by elm_thumb_fdo_size_set().

#define elm_obj_thumb_file_get | ( |  | file,
|  |  | key
| ) |  | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FILE_GET), EO_TYPECHECK(const char **, file), EO_TYPECHECK(const char **, key)

Since
  1.8

Get the image or video path and key used to generate the thumbnail.

Parameters

  [out] | file |
  [out] | key |

See Also
  elm_thumb_file_get

Referenced by elm_thumb_file_get().

#define elm_obj_thumb_file_set | ( |  | file,
|  |  | key
| ) |  | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FILE_SET), EO_TYPECHECK(const char *, file), EO_TYPECHECK(const char *, key)

Since
  1.8

Set the file that will be used as thumbnail source.

Parameters

  [in] | file |
  [in] | key |

See Also
  elm_thumb_file_set

Referenced by elm_thumb_file_set().

#define elm_obj_thumb_format_get | ( |  | ret | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FORMAT_GET), EO_TYPECHECK(Ethumb_Thumb_Format *, ret)

Since
  1.8

Get the format of the thumb object

Parameters

  [out] | ret |

See Also
  elm_thumb_format_get

Referenced by elm_thumb_format_get().

#define elm_obj_thumb_format_set | ( |  | format | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_FORMAT_SET), EO_TYPECHECK(Ethumb_Thumb_Format, format)

Since
  1.8

Set the format for the thumb object

Parameters

  [in] | setting |

See Also
  elm_thumb_format_set

Referenced by elm_thumb_format_set().

#define elm_obj_thumb_orientation_get | ( |  | ret | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ORIENTATION_GET), EO_TYPECHECK(Ethumb_Thumb_Orientation *, ret)

Since
  1.8

Get the orientation of the thumb object

Parameters

  [out] | ret |

See Also
  elm_thumb_orientaion_get

Referenced by elm_thumb_orientation_get().

#define elm_obj_thumb_orientation_set | ( |  | orient | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_ORIENTATION_SET), EO_TYPECHECK(Ethumb_Thumb_Orientation, orient)

Since
  1.8

Set the orientation for the thumb object

Parameters

  [in] | setting |

See Also
  elm_thumb_orientation_set

Referenced by elm_thumb_orientation_set().

#define elm_obj_thumb_path_get | ( |  | file,
|  |  | key
| ) |  | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_PATH_GET), EO_TYPECHECK(const char **, file), EO_TYPECHECK(const char **, key)

Since
  1.8

Get the path and key to the image or video thumbnail generated by ethumb.

Parameters

  [out] | file |
  [out] | key |

See Also
  elm_thumb_path_get

Referenced by elm_thumb_path_get().

#define elm_obj_thumb_quality_get | ( |  | quality | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_QUALITY_GET), EO_TYPECHECK(int *, quality)

Since
  1.8

Get the quality of the thumbnail.

Parameters

  [out] | quality |

See Also
  elm_thumb_quality_get

Referenced by elm_thumb_quality_get().

#define elm_obj_thumb_quality_set | ( |  | quality | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_QUALITY_SET), EO_TYPECHECK(int, quality)

Since
  1.8

Set the quality of the thumbnail

Parameters

  [in] | quality |

See Also
  elm_thumb_quality_set

Referenced by elm_thumb_quality_set().

#define elm_obj_thumb_reload | ( |  | ) | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_RELOAD)

Since
  1.8

Reload thumbnail if it was generated before.

See Also
  elm_thumb_reload

Referenced by elm_thumb_reload().

#define elm_obj_thumb_size_get | ( |  | tw,
|  |  | th
| ) |  | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_SIZE_GET), EO_TYPECHECK(int *, tw), EO_TYPECHECK(int *, th)

Since
  1.8

Get the size of the thumbnail.

Parameters

  [out] | tw |
  [out] | th |

See Also
  elm_thumb_size_get

Referenced by elm_thumb_size_get().

#define elm_obj_thumb_size_set | ( |  | tw,
|  |  | th
| ) |  | ELM_OBJ_THUMB_ID(ELM_OBJ_THUMB_SUB_ID_SIZE_SET), EO_TYPECHECK(int, tw), EO_TYPECHECK(int, th)

Since
  1.8

Set the width and height of the thumbnail

Parameters

  [in] | width |
  [in] | height | 0

See Also
  elm_thumb_size_set

Referenced by elm_thumb_size_set().

## Function Documentation

Eina_Bool elm_need_ethumb | ( | void |  | ) |

Request that your elementary application needs ethumb.

This initializes the Ethumb library when called and if support exists it returns EINA_TRUE, otherwise returns EINA_FALSE. This must be called before any other function that deals with elm_thumb objects or ethumb_client instances.

Examples:
  fileselector_example.c, and thumb_example_01.c.

Evas_Object* elm_thumb_add | ( | Evas_Object * | parent | ) |

Add a new thumb object to the parent.

Parameters

  parent | The parent object.

Returns
  The new object or NULL if it cannot be created.

See Also
  elm_thumb_file_set()
  elm_thumb_ethumb_client_get()

Elm_Thumb_Animation_Setting elm_thumb_animate_get | ( | const Evas_Object * | obj | ) |

Get the animation state for the thumb object.

Parameters

  obj | The thumb object.

Returns
  getting The animation setting or `ELM_THUMB_ANIMATION_LAST`, on errors.

See Also
  elm_thumb_animate_set()

References elm_obj_thumb_animate_get.

void elm_thumb_animate_set | ( | Evas_Object * | obj,
|  | Elm_Thumb_Animation_Setting | s
| ) |  |

Set the animation state for the thumb object.

If its content is an animated video, you may start/stop the animation or tell it to play continuously and looping.

Parameters

  obj | The thumb object.
  s | The animation setting.

See Also
  elm_thumb_file_set()

References elm_obj_thumb_animate_set.

Ethumb_Thumb_Aspect elm_thumb_aspect_get | ( | const Evas_Object * | obj | ) |

Get the aspect of the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.

Returns
  getting The aspect setting.

See Also
  elm_thumb_aspect_set()

References elm_obj_thumb_aspect_get.

void elm_thumb_aspect_set | ( | Evas_Object * | obj,
|  | Ethumb_Thumb_Aspect | aspect
| ) |  |

Set the aspect for the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.
  aspect | The aspect setting.

See Also
  elm_thumb_file_set()

References elm_obj_thumb_aspect_set.

void elm_thumb_compress_get | ( | const Evas_Object * | obj,
|  | int * | compress
| ) |  |

Get the compression of the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.

Returns
  getting The compress setting.

See Also
  elm_thumb_compress_set()

References elm_obj_thumb_compress_get.

void elm_thumb_compress_set | ( | Evas_Object * | obj,
|  | int | compress
| ) |  |

Set the compression for the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.
  compress | The compression of the thumb.

See Also
  elm_thumb_file_set()

References elm_obj_thumb_compress_set.

void elm_thumb_crop_align_get | ( | const Evas_Object * | obj,
|  | double * | cropx,
|  | double * | cropy
| ) |  |

Get the crop alignment of the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.

Returns
  getting The crop align setting.

See Also
  elm_thumb_crop_align_set()

References elm_obj_thumb_crop_align_get.

void elm_thumb_crop_align_set | ( | Evas_Object * | obj,
|  | double | cropx,
|  | double | cropy
| ) |  |

Set the crop alignment for the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.
  cropx | The x coordinate of the crop.
  cropy | The y coordinate of the crop.

See Also
  elm_thumb_file_set()

References elm_obj_thumb_crop_align_set.

Eina_Bool elm_thumb_editable_get | ( | const Evas_Object * | obj | ) |

Make the thumbnail 'editable'.

Parameters

  obj | Thumb object.

Returns
  Editability.

This means the thumbnail is a valid drag target for drag and drop, and can be cut or pasted too.

See Also
  elm_thumb_editable_set()

References elm_obj_thumb_editable_get.

Eina_Bool elm_thumb_editable_set | ( | Evas_Object * | obj,
|  | Eina_Bool | edit
| ) |  |

Make the thumbnail 'editable'.

Parameters

  obj | Thumb object.
  edit | Turn on or off editability. Default is `EINA_FALSE`.

This means the thumbnail is a valid drag target for drag and drop, and can be cut or pasted too.

See Also
  elm_thumb_editable_get()

References elm_obj_thumb_editable_set.

void* elm_thumb_ethumb_client_get | ( | void |  | ) |

Get the ethumb_client handle so custom configuration can be made.

Returns
  Ethumb_Client instance or NULL.

The ethumb client handle returned may or may not be NULL. It may or may not survive into the future (ethumbd may become disconnected). Do not use this unless you know what you are doing.

Ethumb_Thumb_FDO_Size elm_thumb_fdo_size_get | ( | const Evas_Object * | obj | ) |

Get the fdo size of the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.

Returns
  getting The FDO size setting.

See Also
  elm_thumb_fdo_size_set()

References elm_obj_thumb_fdo_size_get.

void elm_thumb_fdo_size_set | ( | Evas_Object * | obj,
|  | Ethumb_Thumb_FDO_Size | size
| ) |  |

Set the FDO size for the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.
  size | The FDO size setting.

See Also
  elm_thumb_file_set()

References elm_obj_thumb_fdo_size_set.

void elm_thumb_file_get | ( | const Evas_Object * | obj,
|  | const char ** | file,
|  | const char ** | key
| ) |  |

Get the image or video path and key used to generate the thumbnail.

Parameters

  obj | The thumb object.
  file | Pointer to filename.
  key | Pointer to key.

See Also
  elm_thumb_file_set()
  elm_thumb_path_get()

References elm_obj_thumb_file_get.

void elm_thumb_file_set | ( | Evas_Object * | obj,
|  | const char * | file,
|  | const char * | key
| ) |  |

Set the file that will be used as thumbnail source.

Parameters

  obj | The thumb object.
  file | The path to file that will be used as thumbnail source.
  key | The key used in case of an EET file.

The file can be an image or a video (in that case, acceptable extensions are: avi, mp4, ogv, mov, mpg and wmv). To start the video animation, use the function elm_thumb_animate().

See Also
  elm_thumb_file_get()
  elm_thumb_reload()
  elm_thumb_animate()

References elm_obj_thumb_file_set.

Ethumb_Thumb_Format elm_thumb_format_get | ( | const Evas_Object * | obj | ) |

Get the format of the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.

Returns
  getting The Format setting.

See Also
  elm_thumb_format_set()

References elm_obj_thumb_format_get.

void elm_thumb_format_set | ( | Evas_Object * | obj,
|  | Ethumb_Thumb_Format | format
| ) |  |

Set the format for the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.
  size | The format setting.

See Also
  elm_thumb_file_set()

References elm_obj_thumb_format_set.

Ethumb_Thumb_Orientation elm_thumb_orientation_get | ( | const Evas_Object * | obj | ) |

Get the orientation of the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.

Returns
  getting The orientation setting.

See Also
  elm_thumb_orientation_set()

References elm_obj_thumb_orientation_get.

void elm_thumb_orientation_set | ( | Evas_Object * | obj,
|  | Ethumb_Thumb_Orientation | orient
| ) |  |

Set the orientation for the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.
  size | The orientation setting.

See Also
  elm_thumb_file_set()

References elm_obj_thumb_orientation_set.

void elm_thumb_path_get | ( | const Evas_Object * | obj,
|  | const char ** | file,
|  | const char ** | key
| ) |  |

Get the path and key to the image or video thumbnail generated by ethumb.

One just needs to make sure that the thumbnail was generated before getting its path; otherwise, the path will be NULL. One way to do that is by asking for the path when/after the "generate,stop" smart callback is called.

Parameters

  obj | The thumb object.
  file | Pointer to thumb path.
  key | Pointer to thumb key.

See Also
  elm_thumb_file_get()

References elm_obj_thumb_path_get.

void elm_thumb_quality_get | ( | const Evas_Object * | obj,
|  | int * | quality
| ) |  |

Get the quality of the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.

Returns
  getting The quality setting.

See Also
  elm_thumb_quality_set()

References elm_obj_thumb_quality_get.

void elm_thumb_quality_set | ( | Evas_Object * | obj,
|  | int | quality
| ) |  |

Set the quality for the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.
  quality | The quality of the thumb.

See Also
  elm_thumb_file_set()

References elm_obj_thumb_quality_set.

void elm_thumb_reload | ( | Evas_Object * | obj | ) |

Reload thumbnail if it was generated before.

Parameters

  obj | The thumb object to reload

This is useful if the ethumb client configuration changed, like its size, aspect or any other property one set in the handle returned by elm_thumb_ethumb_client_get().

If the options didn't change, the thumbnail won't be generated again, but the old one will still be used.

See Also
  elm_thumb_file_set()

References elm_obj_thumb_reload.

void elm_thumb_size_get | ( | const Evas_Object * | obj,
|  | int * | tw,
|  | int * | th
| ) |  |

Get the size of the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.

Returns
  getting The size setting.

See Also
  elm_thumb_size_set()

References elm_obj_thumb_size_get.

void elm_thumb_size_set | ( | Evas_Object * | obj,
|  | int | tw,
|  | int | th
| ) |  |

Set the size for the thumb object.

Since
  1.8

Parameters

  obj | The thumb object.
  tw | The width of the thumb.
  th | The height of the thumb.

See Also
  elm_thumb_file_set()

References elm_obj_thumb_size_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14